#include <cstdio>
#include <algorithm>
#include <cstring>

double PD[1001][6001];
int foi[1001][6001];
int TS = 0;
int N, V;

double calc(int n, int v) {
  if (!n) {
    return (v >= V? 1.0 : 0.0);
  }
  if (foi[n][v] == TS) {
    return PD[n][v];
  }

  double r = 0.0;

  for (int i = 1; i <= 6; i++) {
    r += calc(n-1, std::min(6000, v+i));
  }
  r /= 6.0;

  foi[n][v] = TS;
  PD[n][v] = r;

  return r;
}

int main() {
  memset(foi, 0, sizeof(foi));
  while (scanf("%d %d", &N, &V) == 2) {
    TS++;
    printf("%.4lf\n", calc(N, 0));
  }
  return 0;
}
